require 'mars_weather'

RSpec.describe MarsWeather do
  subject(:weather) { MarsWeather.latest }

  it 'returns latest weather' do
    expect(weather).not_to be nil
  end

  it { is_expected.to include(:terrestrial_date) }
  it { is_expected.to include(:sol) }
  it { is_expected.to include(:ls) }
  it { is_expected.to include(:min_temp) }
  it { is_expected.to include(:min_temp_fahrenheit) }
  it { is_expected.to include(:max_temp) }
  it { is_expected.to include(:max_temp_fahrenheit) }
  it { is_expected.to include(:pressure) }
  it { is_expected.to include(:pressure_string) }
  it { is_expected.to include(:abs_humidity) }
  it { is_expected.to include(:wind_speed) }
  it { is_expected.to include(:wind_direction) }
  it { is_expected.to include(:atmo_opacity) }
  it { is_expected.to include(:season) }
  it { is_expected.to include(:sunrise) }
  it { is_expected.to include(:sunset) }
end
